///
/// Code generated by jsonToDartModel https://ashamp.github.io/jsonToDartModel/
///
class categoriesLibraryDataCategoriesByLanguageData {
/*
{
  "id": 104,
  "name": "322 binh"
}
*/

  int? id;
  String? name;

  categoriesLibraryDataCategoriesByLanguageData({
    this.id,
    this.name,
  });
  categoriesLibraryDataCategoriesByLanguageData.fromJson(Map<String, dynamic> json) {
    id = json['id']?.toInt();
    name = json['name']?.toString();
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['id'] = id;
    data['name'] = name;
    return data;
  }
}

class categoriesLibraryDataCategoriesByLanguage {
/*
{
  "nextToken": "MTAy",
  "data": [
    {
      "id": 104,
      "name": "322 binh"
    }
  ]
}
*/

  String? nextToken;
  List<categoriesLibraryDataCategoriesByLanguageData?>? data;

  categoriesLibraryDataCategoriesByLanguage({
    this.nextToken,
    this.data,
  });
  categoriesLibraryDataCategoriesByLanguage.fromJson(Map<String, dynamic> json) {
    nextToken = json['nextToken']?.toString();
    if (json['data'] != null) {
      final v = json['data'];
      final arr0 = <categoriesLibraryDataCategoriesByLanguageData>[];
      v.forEach((v) {
        arr0.add(categoriesLibraryDataCategoriesByLanguageData.fromJson(v));
      });
      this.data = arr0;
    }
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['nextToken'] = nextToken;
    if (this.data != null) {
      final v = this.data;
      final arr0 = [];
      v!.forEach((v) {
        arr0.add(v!.toJson());
      });
      data['data'] = arr0;
    }
    return data;
  }
}

class categoriesLibraryData {
/*
{
  "categoriesByLanguage": {
    "nextToken": "MTAy",
    "data": [
      {
        "id": 104,
        "name": "322 binh"
      }
    ]
  }
}
*/

  categoriesLibraryDataCategoriesByLanguage? categoriesByLanguage;

  categoriesLibraryData({
    this.categoriesByLanguage,
  });
  categoriesLibraryData.fromJson(Map<String, dynamic> json) {
    categoriesByLanguage = (json['categoriesByLanguage'] != null) ? categoriesLibraryDataCategoriesByLanguage.fromJson(json['categoriesByLanguage']) : null;
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (categoriesByLanguage != null) {
      data['categoriesByLanguage'] = categoriesByLanguage!.toJson();
    }
    return data;
  }
}

class categoriesLibrary {
/*
{
  "data": {
    "categoriesByLanguage": {
      "nextToken": "MTAy",
      "data": [
        {
          "id": 104,
          "name": "322 binh"
        }
      ]
    }
  }
}
*/

  categoriesLibraryData? data;

  categoriesLibrary({
    this.data,
  });
  categoriesLibrary.fromJson(Map<String, dynamic> json) {
    data = (json['data'] != null) ? categoriesLibraryData.fromJson(json['data']) : null;
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (data != null) {
      data['data'] = this.data!.toJson();
    }
    return data;
  }
}
